nfsftl_plan Struct Reference

data structure for an NFSFT (nonequispaced fast spherical Fourier transform) plan with long double precision More...

`#include <nfft3.h>`

Collaboration diagram for nfsftl_plan:
[legend]

## Data Fields

NFFT_INT | N_total
| Total number of Fourier coefficients. More...
NFFT_INT | M_total
| Total number of samples. More...
fftwl_complex * | f_hat
| Fourier coefficients. More...
fftwl_complex * | f
| Samples. More...
void(* | mv_trafo )(void *)
| Transform. More...
void(* | mv_adjoint )(void *)
| Adjoint transform. More...
int | N
| the bandwidth
long double * | x
| the nodes for ,
int | t
| the logarithm of NPT with respect to the basis 2
unsigned int | flags
| the planner flags
nfftl_plan | plan_nfft
| the internal NFFT plan
fftwl_complex * | f_hat_intern
| Internally used pointer to spherical Fourier coefficients.
double | MEASURE_TIME_t [3]
| Measured time for each step if MEASURE_TIME is set.

## Detailed Description

data structure for an NFSFT (nonequispaced fast spherical Fourier transform) plan with long double precision

Definition at line 574 of file nfft3.h.

## Field Documentation

NFFT_INT nfsftl_plan::N_total

Total number of Fourier coefficients.

Definition at line 574 of file nfft3.h.

NFFT_INT nfsftl_plan::M_total

Total number of samples.

Definition at line 574 of file nfft3.h.

fftwl_complex* nfsftl_plan::f_hat

Fourier coefficients.

Definition at line 574 of file nfft3.h.

fftwl_complex* nfsftl_plan::f

Samples.

Definition at line 574 of file nfft3.h.

void(* nfsftl_plan::mv_trafo) (void *)

Transform.

Definition at line 574 of file nfft3.h.

void(* nfsftl_plan::mv_adjoint) (void *)

Adjoint transform.

Definition at line 574 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h